Ticket #368 (closed Defect: fixed)

Opened 5 years ago

Last modified 5 years ago

Sapphire 1.0b8 import crash

Reported by: pd5rm Owned by:
Priority: normal Milestone:
Component: Other Version: 1.0b7.8.1
Keywords: Cc:

Description

This is for the latest release 1.0b8 (on 5/20/2010), not the version tagged in bug report (pulldown list has not been updated).

The crash occurs when attempted to import all data. The crash seems to occur after the first movie is imported.

Attachments

Front Row_2010-05-20-174421_Montano.crash Download (52.0 KB) - added by pd5rm 5 years ago.
Front Row_2010-05-20-174224_Montano.crash Download (31.7 KB) - added by pd5rm 5 years ago.

Change History

Changed 5 years ago by pd5rm

Changed 5 years ago by pd5rm

comment:1 Changed 5 years ago by pd5rm

5/20/10 5:44:18 PM	ImportHelper[44612]	kCGErrorIllegalArgument: CGSGetWindowType: Invalid (NULL) window
5/20/10 5:44:18 PM	com.apple.RemoteUI[44603]	Thu May 20 17:44:18 montano ImportHelper[44612] <Error>: kCGErrorIllegalArgument: CGSGetWindowType: Invalid (NULL) window
5/20/10 5:44:18 PM	ImportHelper[44612]	kCGErrorIllegalArgument: CGSGetWindowType: Invalid (NULL) window
5/20/10 5:44:18 PM	com.apple.RemoteUI[44603]	Thu May 20 17:44:18 montano ImportHelper[44612] <Error>: kCGErrorIllegalArgument: CGSGetWindowType: Invalid (NULL) window
5/20/10 5:44:20 PM	ImportHelper[44612]	Exception: NSInvalidReceivePortException connection went invalid while waiting for a reply
 0x972ACBBD 0x90867509 0x972AC908 0x972AC87A 0x9048CE9C 0x9048BCA9 0x972538A4 0x972533D2 0x42727F 0x90449EAC 0x9721815B 0x97215C1F 0x972150F4 0x97214F21 0x9046D380 0x1D16 0x1952 0x1879
0x9041D000	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x971D9000	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x400000	/System/Library/CoreServices/Front Row.app/Contents/PlugIns/Sapphire.frappliance/Contents/MacOS/Sapphire
0x9085D000	/usr/lib/libobjc.A.dylib
0x1000	/System/Library/CoreServices/Front Row.app/Contents/PlugIns/Sapphire.frappliance/Contents/Resources/ImportHelper
5/20/10 5:44:20 PM	com.apple.RemoteUI[44603]	2010-05-20 17:44:20.879 ImportHelper[44612:903] Exception: NSInvalidReceivePortException connection went invalid while waiting for a reply

comment:2 Changed 5 years ago by gbooker

  • Status changed from new to closed
  • Resolution set to fixed

(In [1259]) Avoid freeing an invalid pointer. Fixes #368

Note: See TracTickets for help on using tickets.